package net.pokeranalytics.android.model

import net.pokeranalytics.android.calculus.ComputedStat
import net.pokeranalytics.android.calculus.Stat
import net.pokeranalytics.android.ui.view.RowRepresentable
import net.pokeranalytics.android.ui.view.RowViewType


class StatRepresentable(stat: Stat, computedStat: ComputedStat?) : RowRepresentable {

    var stat: Stat = stat
    var computedStat: ComputedStat? = computedStat

    override val viewType: Int
        get() = RowViewType.STAT.ordinal

    override val resId: Int?
        get() = this.stat.resId

}
